org.wildfly.swarm.config.transactions.log_store

## Class Transactions<T extends Transactions<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.transactions.log_store.Transactions<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Transactions<T extends Transactions<T>>
      extends HashMap

  The persistent information that the transaction manager stores for the purpose of recovering a transaction in the event of failure. The probe operation will add and remove transactions from the model as the corresponding real transactions start and finish the prepare and commit phases. A stuck transaction will remain in the model until either it is completed or explicitly removed by the delete operation.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transactions.TransactionsResources` Child mutators for Transactions

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transactions(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `ageInSeconds()` The time since this transaction was prepared or when the recovery system last tried to recover it.
    `T` | `ageInSeconds(Long value)` The time since this transaction was prepared or when the recovery system last tried to recover it.
    `String` | `getKey()`
    `String` | `id()` The id of this transaction.
    `T` | `id(String value)` The id of this transaction.
    `String` | `jmxName()` The JMX name of this transaction.
    `T` | `jmxName(String value)` The JMX name of this transaction.
    `T` | `participants(List<Participants> value)` Add all Participants objects to this subresource
    `T` | `participants(Participants value)` Add the Participants object to the list of subresources
    `T` | `participants(ParticipantsSupplier supplier)` Install a supplied Participants object to the list of subresources
    `T` | `participants(String childKey)` Create and configure a Participants object to the list of subresources
    `T` | `participants(String childKey, ParticipantsConsumer consumer)` Create and configure a Participants object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Transactions.TransactionsResources` | `subresources()`
    `String` | `type()` The type name under which this record is stored.
    `T` | `type(String value)` The type name under which this record is stored.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Transactions

          public Transactions(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Transactions.TransactionsResources subresources()

    - #### participants

          public T participants(List<Participants> value)

      Add all Participants objects to this subresource
      Parameters:
        `value` - List of Participants objects.
      Returns:
        this

    - #### participants

          public T participants(Participants value)

      Add the Participants object to the list of subresources
      Parameters:
        `value` - The Participants to add
      Returns:
        this

    - #### participants

          public T participants(String childKey,
                                ParticipantsConsumer consumer)

      Create and configure a Participants object to the list of subresources
      Parameters:
        `key` - The key for the Participants resource
        `config` - The ParticipantsConsumer to use
      Returns:
        this

    - #### participants

          public T participants(String childKey)

      Create and configure a Participants object to the list of subresources
      Parameters:
        `key` - The key for the Participants resource
      Returns:
        this

    - #### participants

          public T participants(ParticipantsSupplier supplier)

      Install a supplied Participants object to the list of subresources

    - #### ageInSeconds

          public Long ageInSeconds()

      The time since this transaction was prepared or when the recovery system last tried to recover it.

    - #### ageInSeconds

          public T ageInSeconds(Long value)

      The time since this transaction was prepared or when the recovery system last tried to recover it.

    - #### id

          public String id()

      The id of this transaction.

    - #### id

          public T id(String value)

      The id of this transaction.

    - #### jmxName

          public String jmxName()

      The JMX name of this transaction.

    - #### jmxName

          public T jmxName(String value)

      The JMX name of this transaction.

    - #### type

          public String type()

      The type name under which this record is stored.

    - #### type

          public T type(String value)

      The type name under which this record is stored.

Copyright © 2018 JBoss by Red Hat. All rights reserved.